import type { ReactNode } from "react";
import type { UseCardProps } from "./use-card";
import React, { PropsWithoutRef, RefAttributes } from "react";
import { CSS } from "../theme/stitches.config";
import { Image, Divider } from "../index";
import { StyledCardHeader as CardHeader, StyledCardFooter as CardFooter, StyledCardBody as CardBody } from "./card.styles";
interface Props extends Omit<UseCardProps, "ref"> {
    children: ReactNode | ReactNode[];
    as?: keyof JSX.IntrinsicElements;
}
export declare type CardProps = Props & {
    css?: CSS;
};
declare type CardComponent<T, P = {}> = React.ForwardRefExoticComponent<PropsWithoutRef<P> & RefAttributes<T>> & {
    Header: typeof CardHeader;
    Body: typeof CardBody;
    Footer: typeof CardFooter;
    Image: typeof Image;
    Divider: typeof Divider;
};
declare const _default: CardComponent<HTMLDivElement, CardProps>;
export default _default;
