import type { AriaCheckboxGroupProps } from "@react-types/checkbox";
import type { Orientation } from "@react-types/shared";
import type { CSS } from "../theme/stitches.config";
import type { NormalSizes, NormalColors, SimpleColors } from "../utils/prop-types";
import React from "react";
interface Props extends AriaCheckboxGroupProps {
    size?: NormalSizes;
    color?: NormalColors;
    labelColor?: SimpleColors;
    orientation?: Orientation;
}
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type UseCheckboxGroupProps = Props & NativeAttrs & {
    css?: CSS;
};
/**
 * @internal
 */
export declare const useCheckboxGroup: (props?: UseCheckboxGroupProps) => {
    css: CSS | undefined;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    orientation: Orientation;
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error" | "gradient";
    labelColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    groupState: import("@react-stately/checkbox").CheckboxGroupState;
    labelProps: import("@react-types/shared").DOMAttributes<import("@react-types/shared").FocusableElement>;
    groupProps: import("@react-types/shared").DOMAttributes<import("@react-types/shared").FocusableElement>;
};
export declare type UseCheckboxGroupReturn = Omit<ReturnType<typeof useCheckboxGroup>, "css">;
export {};
