import React, { ReactNode } from "react";
import { Section } from "@react-stately/collections";
import DropdownItemBase from "./base/dropdown-item-base";
import DropdownTrigger from "./dropdown-trigger";
import DropdownMenu from "./dropdown-menu";
import DropdownButton from "./dropdown-button";
import { UseDropdownProps } from "./use-dropdown";
interface Props extends UseDropdownProps {
    /**
     * The content of the dropdown. It is usually the `Dropdown.Trigger`,
     * and `Dropdown.Menu`
     */
    children: ReactNode[];
}
export declare type DropdownProps = Props;
declare type DropdownComponent<P = {}> = React.FC<P> & {
    Trigger: typeof DropdownTrigger;
    Button: typeof DropdownButton;
    Menu: typeof DropdownMenu;
    Item: typeof DropdownItemBase;
    Section: typeof Section;
};
declare const _default: DropdownComponent<Props>;
export default _default;
