import type { RefAttributes, PropsWithoutRef } from "react";
import React from "react";
import NavbarBrand from "./navbar-brand";
import NavbarContent from "./navbar-content";
import NavbarItem from "./navbar-item";
import NavbarLink from "./navbar-link";
import NavbarToggle from "./navbar-toggle";
import NavbarCollapse from "./navbar-collapse";
import NavbarCollapseItem from "./navbar-collapse-item";
import { UseNavbarProps } from "./use-navbar";
export interface NavbarProps extends UseNavbarProps {
    children?: React.ReactNode | React.ReactNode[];
}
declare type NavbarComponent<T, P = {}> = React.ForwardRefExoticComponent<PropsWithoutRef<P> & RefAttributes<T>> & {
    Brand: typeof NavbarBrand;
    Content: typeof NavbarContent;
    Item: typeof NavbarItem;
    Link: typeof NavbarLink;
    Toggle: typeof NavbarToggle;
    Collapse: typeof NavbarCollapse;
    CollapseItem: typeof NavbarCollapseItem;
};
declare const _default: NavbarComponent<HTMLElement, NavbarProps>;
export default _default;
