import React, { ReactNode, RefAttributes, PropsWithoutRef } from "react";
import { UsePopoverProps } from "./use-popover";
import PopoverTrigger from "./popover-trigger";
import PopoverContent from "./popover-content";
export interface PopoverProps extends UsePopoverProps {
    /**
     * The content of the popover. It is usually the `Popover.Trigger`,
     * and `Popover.Content`
     */
    children: ReactNode[];
}
declare type PopoverComponent<T, P = {}> = React.ForwardRefExoticComponent<PropsWithoutRef<P> & RefAttributes<T>> & {
    Trigger: typeof PopoverTrigger;
    Content: typeof PopoverContent;
};
declare const _default: PopoverComponent<HTMLElement, PopoverProps>;
export default _default;
