import type { CSS } from "../theme/stitches.config";
import type { UseRadioProps } from "./use-radio";
import React, { ReactNode } from "react";
import RadioGroup from "./radio-group";
interface Props extends UseRadioProps {
    label?: string;
    children?: ReactNode;
    description?: string | ReactNode;
    className?: string;
    as?: keyof JSX.IntrinsicElements;
}
export declare type RadioProps = Props & {
    css?: CSS;
};
export declare const Radio: React.ForwardRefExoticComponent<Props & {
    css?: CSS | undefined;
} & React.RefAttributes<HTMLInputElement>>;
declare type RadioComponent<T, P = {}> = React.ForwardRefExoticComponent<React.PropsWithoutRef<P> & React.RefAttributes<T>> & {
    Group: typeof RadioGroup;
};
declare const _default: RadioComponent<HTMLLabelElement, RadioProps>;
export default _default;
